export declare class SparkleFacilitatorHeader {
  el: HTMLElement;
  courseName: string;
  hidden: boolean;
  private frameRequested;
  private prevScroll;
  toggleStudentClickFn: (e: Event) => void;
  handleScroll(): void;
  componentWillLoad(): void;
  hostData(): {
    class: {
      hidden: boolean;
    };
  };
  openEnd(): void;
  openOnlineStudentsSidebar(): Promise<void>;
  render(): any;
}
